## gitlab 8.4.0+dfsg~rc2

=== debian/changelog ===
gitlab (8.4.0+dfsg~rc2-4) unstable; urgency=medium

  * Reupload to unstable
  * Relax ruby-net-ssh dependency

 -- Pirate Praveen <praveen@debian.org>  Thu, 28 Jan 2016 02:01:57 +0530

gitlab (8.4.0+dfsg~rc2-3) experimental; urgency=medium

  * Read gitlab-debian.conf from /etc/default/gitlab
    - Use debian specific configuration in init script
  * Add nginx to dependencies (Closes: #812724)
  * Add ruby-influxdb to dependencies (Closes: #812839)
  * Add missing dependecies from Gemfile and tighen versions
  * Use environmental variables by commenting out defaults in gitlab.yml

 -- Pirate Praveen <praveen@debian.org>  Wed, 27 Jan 2016 13:40:31 +0530

gitlab (8.4.0+dfsg~rc2-2) experimental; urgency=medium

  * Add README.Debian to document debian specific changes
  * Make mysql optional (Closes: #812345)
  * Configure hostname via debconf and integrate nginx

 -- Pirate Praveen <praveen@debian.org>  Sun, 24 Jan 2016 15:19:19 +0530

gitlab (8.4.0+dfsg~rc2-1) experimental; urgency=medium

  * Initial release (Closes: #651606)

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Jan 2016 00:56:59 +0530
