=== debian/control ===
Source: gitlab
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Cédric Boutillier <boutil@debian.org>,
 Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper (>= 9~), gem2deb (>= 0.9.0~)
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/gitlab.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
Homepage: https://about.gitlab.com/
Testsuite: autopkgtest
XS-Ruby-Versions: all

Package: gitlab
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
 postgresql-client,
 adduser,
 bc,
 postgresql,
 redis-server (>= 2:2.8~),
 nodejs (>= 4~),
 nginx,
 gitlab-shell (>= 2.6.10~),
 gitlab-workhorse,
 ruby-rails (>= 2:4.2.4~),
 ruby-rails (<< 2:5),
 ruby-rails-deprecated-sanitizer (>= 1.0.3~),
 ruby-responders (>= 2.0~),
 ruby-sprockets (>= 3.3.0~),
 ruby-default-value-for (>= 3~),
#ruby-mysql2 | ruby-pg,
 ruby-pg,
# Authentication libraries
 ruby-devise (>= 3.2~),
 ruby-devise-async (>= 0.9~),
 ruby-doorkeeper (>= 2.1~),
 ruby-omniauth (>= 1.2.2~),
 ruby-omniauth-azure-oauth2 (>= 0.0.6~),
 ruby-omniauth-bitbucket (>= 0.0.2~),
 ruby-omniauth-cas3 (>= 1.1.2~),
 ruby-omniauth-facebook (>= 2.0.1~),
 ruby-omniauth-github (>= 1.1.1~),
 ruby-omniauth-gitlab (>= 1.0.0~),
 ruby-omniauth-google-oauth2 (>= 0.2.0~),
 ruby-omniauth-kerberos (>= 0.3.0-3~),
 ruby-omniauth-saml (>= 1.4.0~),
 ruby-omniauth-shibboleth (>= 1.2.0~),
 ruby-omniauth-twitter (>= 1.2.0~),
 ruby-omniauth-crowd (>= 2.2.0~),
 ruby-rack-oauth2 (>= 1.2.1~),
# reCAPTCHA protection
 ruby-recaptcha,
# Two-factor authentication
 ruby-devise-two-factor (>= 2.0.0~),
 ruby-rqrcode-rails3 (>= 0.1.7~),
 ruby-attr-encrypted (>= 1.3.4~),
# Browser detection
 ruby-browser (>= 1.0.0~),
# Extracting information from a git repository
 ruby-gitlab-git (>= 7.2.21~),
# LDAP Auth
# Debian package includes gitlab patches
 ruby-omniauth-ldap (>= 1.0.4~),
# Git Wiki
 ruby-gollum-lib (>= 4.1.0~),
# Language detection
 ruby-github-linguist (>= 4.7.0~),
# API
 ruby-grape (>= 0.13.0~),
 ruby-grape-entity (>= 0.4.2~),
 ruby-rack-cors (>= 0.4.0~),
# Pagination
 ruby-kaminari (>= 0.16.3),
# HAML
 ruby-haml-rails (>= 0.9.0~),
# Files attachments
 ruby-carrierwave (>= 0.9~),
# Drag and Drop UI
 ruby-dropzonejs-rails (>= 0.7.1~),
# for aws storage
 ruby-fog (>= 1.25~),
 ruby-unf (>= 0.1.4),
# Authorization
 ruby-six (>= 0.2.0~),
# Seed data
 ruby-seed-fu (>= 2.3.5~),
# Markdown and HTML processing
 ruby-html-pipeline (>= 1.11.0),
 ruby-task-list (>= 1.0.2~),
 ruby-github-markup (>= 1.3.1~),
 ruby-redcarpet (>= 3.3.3~),
 ruby-redcloth (>= 4.2.9~),
 ruby-org (>= 0.9.12~),
 ruby-creole (>= 0.5.0~),
 ruby-wikicloth (>= 0.8.1~),
 asciidoctor (>= 1.5.2~),
 ruby-rouge (>= 1.10.1~),
 ruby-nokogiri (>= 1.6.7.1~),
# Diffs
 ruby-diffy (>= 3.0.3~),
# Application server
 unicorn (>= 4.8~),
 ruby-unicorn-worker-killer (>= 0.4.2~),
# State machine
 ruby-state-machines-activerecord (>= 0.3.0~),
# Run events after state machine commits
 ruby-after-commit-queue,
# Issue tags
 ruby-acts-as-taggable-on (>= 3.4~),
# Background jobs
 ruby-sinatra (>= 1.4.4~),
 ruby-sidekiq (>= 4.0~),
 ruby-sidekiq-cron (>= 0.4.0~),
 ruby-redis-namespace,
# HTTP requests
 ruby-httparty (>= 0.13.3~),
# Colored output to console
 ruby-colorize (>= 0.7.0~),
# GitLab settings
 ruby-settingslogic (>= 2.0.9~),
# Misc
 ruby-version-sorter (>= 2.0.0~),
# Cache
 ruby-redis-rails (>= 4.0.0~),
# Campfire integration
 ruby-tinder (>= 1.10.0~),
# HipChat integration
 ruby-hipchat (>= 1.5.0~),
# Flowdock integration
 ruby-gitlab-flowdock-git-hook (>= 1.0.1~),
# Gemnasium integration
 ruby-gemnasium-gitlab-service (>= 0.2~),
# Slack integration
 ruby-slack-notifier (>= 1.2.0~),
# Asana integration
 ruby-asana (>= 0.4.0~),
# FogBugz integration
 ruby-fogbugz (>= 0.2.1~),
# d3
 ruby-d3-rails (>= 3.1~),
#cal-heatmap
 ruby-cal-heatmap-rails (>= 3.5.1~),
# underscore-rails
 ruby-underscore-rails (>= 1.4~),
# Sanitize user input
 ruby-sanitize (>= 2.0~),
 ruby-babosa (>= 1.0.2~),
# Protect against bruteforcing
 ruby-rack-attack (>= 4.3.1~),
# Ace editor
 ruby-ace-rails-ap (>= 3.0.3~),
# Keyboard shortcuts
 ruby-mousetrap-rails (>= 1.4.6~),
# Detect and convert string character encoding
 ruby-charlock-holmes (>= 0.7.3~),
 ruby-sass-rails (>= 5.0.0~),
 ruby-coffee-rails (>= 4.1.0~),
 ruby-uglifier (>= 2.7.2~),
 ruby-turbolinks (>= 2.5.0~),
 ruby-jquery-turbolinks (>= 2.1.0~),
 ruby-addressable (>= 2.3.8~),
 ruby-bootstrap-sass (>= 3.3.0~),
 ruby-font-awesome-rails (>= 4.2~),
 ruby-gitlab-emoji (>= 0.2.0~),
 ruby-gon (>= 6.0.1~),
 ruby-jquery-atwho-rails (>= 1.3.2~),
 ruby-jquery-rails (>= 4.0.0~),
 ruby-jquery-scrollto-rails (>= 1.4.3~),
 ruby-jquery-ui-rails (>= 5.0.0~),
 ruby-nprogress-rails (>= 0.1.6.7~),
 ruby-raphael-rails (>= 2.1.2~),
 ruby-request-store (>= 1.1~),
 ruby-select2-rails (>= 3.5.9~),
 ruby-virtus (>= 1.0.1~),
 ruby-net-ssh (>= 2.9.2~),
# Metrics
 ruby-allocations (>= 1.0~),
 ruby-method-source (>= 0.8~),
 ruby-influxdb (>= 0.2~),
 ruby-connection-pool (>= 2.0~),
 ruby-octokit (>= 3.7~),
 ruby-mail-room (>= 0.6.1),
 ruby-email-reply-parser (>= 0.5.8~),
## CI
 ruby-activerecord-deprecated-finders (>= 1.0.3-2~),
 ruby-activerecord-session-store (>= 0.1.0~),
 ruby-nested-form (>= 0.3.2~),
# OAuth
 ruby-oauth2 (>= 1.0.0~),
# Soft deletion
 ruby-paranoia (>= 2.0~),
# Vendored js files
 libjs-jquery-cookie,
 libjs-jquery-history,
 libjs-jquery-nicescroll,
 libjs-clipboard,
 libjs-chartjs,
 libjs-graphael,
 libjs-fuzzaldrin-plus
Description: git powered software platform to collaborate on code
 gitlab provides web based interface to host source code and track issues.
 It allows anyone for fork a repository and send merge requests. Code review
 is possible using merge request workflow. Using groups and roles project 
 access can be controlled.
