=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#
# Uncomment to ignore all test failures (but the tests will run anyway)
#export DH_RUBY_IGNORE_TESTS=all
#
# Uncomment to ignore some test failures (but the tests will run anyway).
# Valid values:
#export DH_RUBY_IGNORE_TESTS=ruby2.1 require-rubygems
#
# If you need to specify the .gemspec (eg there is more than one)
#export DH_RUBY_GEMSPEC=gem.gemspec

%:
	dh $@

override_dh_auto_build:
	chmod -x app/assets/fonts/SourceSansPro-BlackIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-BlackIt.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-It.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-It.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-LightIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-LightIt.ttf.woff
	chmod -x app/assets/fonts/OFL.txt
	chmod -x app/assets/fonts/SourceSansPro-SemiboldIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-SemiboldIt.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-BoldIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-BoldIt.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-ExtraLightIt.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-ExtraLightIt.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-ExtraLight.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-ExtraLight.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Bold.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Bold.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Regular.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Regular.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Semibold.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Semibold.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Light.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Light.ttf.woff
	chmod -x app/assets/fonts/SourceSansPro-Black.ttf.woff2
	chmod -x app/assets/fonts/SourceSansPro-Black.ttf.woff
	chmod +x Rakefile

override_dh_auto_clean:
	chmod +x app/assets/fonts/SourceSansPro-BlackIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-BlackIt.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-It.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-It.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-LightIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-LightIt.ttf.woff
	chmod +x app/assets/fonts/OFL.txt
	chmod +x app/assets/fonts/SourceSansPro-SemiboldIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-SemiboldIt.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-BoldIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-BoldIt.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-ExtraLightIt.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-ExtraLightIt.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-ExtraLight.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-ExtraLight.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Bold.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Bold.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Regular.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Regular.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Semibold.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Semibold.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Light.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Light.ttf.woff
	chmod +x app/assets/fonts/SourceSansPro-Black.ttf.woff2
	chmod +x app/assets/fonts/SourceSansPro-Black.ttf.woff
	chmod -x Rakefile
