## gitlab 8.4.0+dfsg

=== debian/changelog ===
gitlab (8.4.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Use su instead of sudo everywhere (Closes: #812951)
  * Add rake and ruby-sentry-raven as dependencies
  * Remove patch 0107-relax-omniauth-facebook.patch

 -- Pirate Praveen <praveen@debian.org>  Tue, 02 Feb 2016 19:28:45 +0530
