=== debian/control ===
--- 
+++ 
@@ -16,6 +16,7 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
+ rake,
  postgresql-client,
  adduser,
  bc,
@@ -41,7 +42,7 @@
  ruby-omniauth-azure-oauth2 (>= 0.0.6~),
  ruby-omniauth-bitbucket (>= 0.0.2~),
  ruby-omniauth-cas3 (>= 1.1.2~),
- ruby-omniauth-facebook (>= 2.0.1~),
+ ruby-omniauth-facebook (>= 3.0.0~),
  ruby-omniauth-github (>= 1.1.1~),
  ruby-omniauth-gitlab (>= 1.0.0~),
  ruby-omniauth-google-oauth2 (>= 0.2.0~),
@@ -181,6 +182,7 @@
  ruby-method-source (>= 0.8~),
  ruby-influxdb (>= 0.2~),
  ruby-connection-pool (>= 2.0~),
+ ruby-sentry-raven,
  ruby-octokit (>= 3.7~),
  ruby-mail-room (>= 0.6.1),
  ruby-email-reply-parser (>= 0.5.8~),
