=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,\
filenamemangle=s/.*=v(.*)/gitlab-$1.tar.gz/,\
dversionmangle=s/(\d)[\+]?(debian|dfsg|ds|deb|gh)\~(rc)*(\d)*$/$1~$3$4/ \
https://gitlab.com/gitlab-org/gitlab-ce/tags .*/archive.tar.gz\?ref=v(.*)
