## gitlab 8.4.3+dfsg

=== debian/changelog ===
gitlab (8.4.3+dfsg-8) unstable; urgency=medium

  * Install tmpfiles.d/gitlab.conf and allow www-data user to read /run/gitlab
    (Closes: #814714)
  * Switch to sendmail method by default. 

 -- Pirate Praveen <praveen@debian.org>  Tue, 16 Feb 2016 13:58:16 +0530

gitlab (8.4.3+dfsg-7) unstable; urgency=medium

  * bc should be in build-dep (Closes: #814695)
  * fix pid file mismatch between /etc/default/gitlab and systemd service files
    (Closes: #814714)
  * use tmpfiles.d for /run/gitlab (Closes: #814713) Thanks to Christian Seiler

 -- Pirate Praveen <praveen@debian.org>  Tue, 16 Feb 2016 00:08:18 +0530

gitlab (8.4.3+dfsg-6) unstable; urgency=medium

  * Fix pid and sockets path for gitlab-workhorse 

 -- Pirate Praveen <praveen@debian.org>  Sun, 14 Feb 2016 12:45:24 +0530

gitlab (8.4.3+dfsg-5) unstable; urgency=medium

  * Switch to su from sudo 

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Feb 2016 23:53:42 +0530

gitlab (8.4.3+dfsg-4) unstable; urgency=medium

  * Don't overwrite existing database (Closes: #814458)
  * Write logs, pids and sockets to /var (Closes: #814476)
  * Add more files to debian/install (Closes: #814503)
  * Add a check in debian/rules for installing all files

 -- Pirate Praveen <praveen@debian.org>  Sat, 13 Feb 2016 21:55:51 +0530

gitlab (8.4.3+dfsg-3) unstable; urgency=medium

  * Check if /run/systemd/system dirctory exist for systemd

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Feb 2016 01:01:59 +0530

gitlab (8.4.3+dfsg-2) unstable; urgency=medium

  [ Balasankar C ]
  * Add email configuration via sendmail method

  [ Pirate Praveen ]
  * Download certificates via letsencrypt
  * Check /proc/1/cmdline for systemd (Closes: #814413)

 -- Pirate Praveen <praveen@debian.org>  Fri, 12 Feb 2016 00:17:01 +0530

gitlab (8.4.3+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches (rails version is in sync)
  * Configure ssl for nginx if selected
  * Use letsencrypt certificate paths if selected
  * Add git as dependency (Closes: #813807)
  * SSH key upload is working (Closes: #812861)
  * Configure gitlab_url as workwround (Closes: #813770 )

 -- Pirate Praveen <praveen@debian.org>  Tue, 09 Feb 2016 23:39:34 +0530

gitlab (8.4.0+dfsg-2) unstable; urgency=medium

  * Add systemd units (Closes: #812841)
  * Remove Gemfile.lock if found before bundle install
    (Closes: #813550) (Closes: #812907)

 -- Pirate Praveen <praveen@debian.org>  Thu, 04 Feb 2016 16:28:26 +0530
