=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>,
  Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9~), gem2deb (>= 0.9.0~)
+Build-Depends: debhelper (>= 9~), gem2deb (>= 0.9.0~), dh-systemd, bc
 Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/gitlab.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
 Homepage: https://about.gitlab.com/
 Testsuite: autopkgtest
@@ -16,7 +16,9 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
+ git,
  rake,
+ bundler,
  postgresql-client,
  adduser,
  bc,
@@ -25,7 +27,7 @@
  nodejs (>= 4~),
  nginx,
  gitlab-shell (>= 2.6.10~),
- gitlab-workhorse,
+ gitlab-workhorse (>= 0.6.2~),
  ruby-rails (>= 2:4.2.4~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
@@ -61,7 +63,7 @@
 # Browser detection
  ruby-browser (>= 1.0.0~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 7.2.21~),
+ ruby-gitlab-git (>= 7.2.24~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
