=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	dh_install
	dh_systemd_enable gitlab-mailroom.service
	dh_systemd_enable gitlab-unicorn.service
	dh_systemd_enable gitlab-sidekiq.service
	dh_systemd_enable gitlab-workhorse.service
	dh_systemd_enable gitlab.target
	dh_systemd_start gitlab.target
	# Make sure we are installing all required files in debian/install
	sh debian/upstream-file-count-check.sh

override_dh_installinit:
	dh_installinit --no-start
