## gitlab 8.5.8+dfsg

=== debian/changelog ===
gitlab (8.5.8+dfsg-5) unstable; urgency=medium

  * Make nginx optional (Closes: #819260)
  * Manage nginx configuration via ucf (Closes: #819262)
  * Manage gitlab-debian.conf and gitlab.yml via ucf
  * Make postinst more verbose

 -- Pirate Praveen <praveen@debian.org>  Fri, 08 Apr 2016 17:29:34 +0530

gitlab (8.5.8+dfsg-4) unstable; urgency=medium

  * Tighten version requirements for dependencies
  * Fix permissions for uploads
  * Run db:migrate when db exist
  * Restrict file permissions for secret files (Closes: #819412)
  * Move db to /var/lib/gitlab (fix migrations)

  [ Libor Klepáč ]
  * Create builds directory in /var/log (Closes: #819907)

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Apr 2016 22:55:36 +0530

gitlab (8.5.8+dfsg-3) unstable; urgency=medium

  * Reupload to unstable
  * Add mail-transport-agent as dependency
  * Symlink 'shared' to /var/lib/gitlab instead of 'shared/cache'
    - gitlab expects everything inside shared to be in the same file system.
  * Use embedded copy of fuzzaldrin-plus (See #814871 for more details)
  * Bring back db check in postinst (initialize the db only if it is empty)
  * Choose unicode for db encoding
  * Don't run letsencrypt if certificate is already present

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 Apr 2016 00:14:30 +0530

gitlab (8.5.8+dfsg-2) experimental; urgency=medium

  * Change letsencrypt from depends to recommends 

 -- Pirate Praveen <praveen@debian.org>  Sun, 03 Apr 2016 11:09:51 +0530

gitlab (8.5.8+dfsg-1) experimental; urgency=medium

  * New upstream release

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 Apr 2016 21:30:27 +0530

gitlab (8.4.3+dfsg-12) unstable; urgency=medium

  [ Libor Klepáč ]
  * Add fix-wiki.patch: Fix wiki display (Closes: #815465)

  [ Pirate Praveen ]
  * Use redis-server.service instead of redis.service (which is an alias to
    redis-server.service and won't be available if redis-server.service is
    disabled) in systemd files.

 -- Pirate Praveen <praveen@debian.org>  Fri, 18 Mar 2016 19:12:10 +0530

gitlab (8.4.3+dfsg-11) unstable; urgency=medium

  * Relax stable library versions requirement
  * Relax dependency on grape-entity

  [ Johannes Schauer ]
  * Add diagnostic info to README.Debian
  * Add steps of migrating a source install to debian package

 -- Pirate Praveen <praveen@debian.org>  Wed, 16 Mar 2016 20:16:47 +0530

gitlab (8.4.3+dfsg-10) unstable; urgency=medium

  [ Balasankar C ]
  * Team upload.
  * Bump Standards Version (No Changes).
  * Fix typo in debian/README.Debian.
  * 0038-relax-net-ssh.patch : Add dep3 header.

  [ Pirate Praveen ]
  * Replace gitlab:setup with db:schema:load and db:seed_fu (Closes: #815798)
  * Relax rails dependency in Gemfile (Closes: #817150)

 -- Pirate Praveen <praveen@debian.org>  Tue, 15 Mar 2016 19:42:59 +0530

gitlab (8.4.3+dfsg-9) unstable; urgency=medium

  * Reorganize directory layout (Closes: #814476)
    - Move gitlab user's home directory to /var/lib
    - Add config as a symlink to /etc/gitlab
    - Add log as a symlink to /var/log/gitlab
    - Add public as a symlink to /var/lib/gitlab/public
    - Add more files that needs write permission to /var

 -- Pirate Praveen <praveen@debian.org>  Thu, 18 Feb 2016 22:51:32 +0530
