=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Cédric Boutillier <boutil@debian.org>,
  Pirate Praveen <praveen@debian.org>
-Build-Depends: debhelper (>= 9~), gem2deb (>= 0.9.0~), dh-systemd, bc
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9~), gem2deb, dh-systemd, bc
+Standards-Version: 3.9.7
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
 Homepage: https://about.gitlab.com/
@@ -16,31 +16,34 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
- git,
+ git (>= 2.7.3~),
  rake,
  bundler,
  postgresql-client,
- adduser,
+ adduser (>= 3.34~),
  bc,
  postgresql,
  redis-server (>= 2:2.8~),
  nodejs (>= 4~),
- nginx,
+ nginx | httpd,
+ postfix | exim4 | mail-transport-agent,
+ openssh-client,
+ ucf,
  gitlab-shell (>= 2.6.10~),
  gitlab-workhorse (>= 0.6.2~),
- ruby-rails (>= 2:4.2.4~),
+ ruby-rails (>= 2:4.2.5.2~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
  ruby-responders (>= 2.0~),
  ruby-sprockets (>= 3.3.0~),
  ruby-default-value-for (>= 3~),
 #ruby-mysql2 | ruby-pg,
- ruby-pg,
+ ruby-pg (>= 0.18.4~),
 # Authentication libraries
- ruby-devise (>= 3.2~),
+ ruby-devise (>= 3.5.4~),
  ruby-devise-async (>= 0.9~),
  ruby-doorkeeper (>= 2.1~),
- ruby-omniauth (>= 1.2.2~),
+ ruby-omniauth (>= 1.3.1~),
  ruby-omniauth-azure-oauth2 (>= 0.0.6~),
  ruby-omniauth-bitbucket (>= 0.0.2~),
  ruby-omniauth-cas3 (>= 1.1.2~),
@@ -49,13 +52,14 @@
  ruby-omniauth-gitlab (>= 1.0.0~),
  ruby-omniauth-google-oauth2 (>= 0.2.0~),
  ruby-omniauth-kerberos (>= 0.3.0-3~),
- ruby-omniauth-saml (>= 1.4.0~),
+ ruby-omniauth-saml (>= 1.5.0~),
  ruby-omniauth-shibboleth (>= 1.2.0~),
  ruby-omniauth-twitter (>= 1.2.0~),
  ruby-omniauth-crowd (>= 2.2.0~),
  ruby-rack-oauth2 (>= 1.2.1~),
-# reCAPTCHA protection
+# Spam and anti-bot protection
  ruby-recaptcha,
+ ruby-akismet,
 # Two-factor authentication
  ruby-devise-two-factor (>= 2.0.0~),
  ruby-rqrcode-rails3 (>= 0.1.7~),
@@ -63,7 +67,7 @@
 # Browser detection
  ruby-browser (>= 1.0.0~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 7.2.24~),
+ ruby-gitlab-git (>= 8.2~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
@@ -73,7 +77,7 @@
  ruby-github-linguist (>= 4.7.0~),
 # API
  ruby-grape (>= 0.13.0~),
- ruby-grape-entity (>= 0.4.2~),
+ ruby-grape-entity (>= 0.5~),
  ruby-rack-cors (>= 0.4.0~),
 # Pagination
  ruby-kaminari (>= 0.16.3),
@@ -94,18 +98,18 @@
  ruby-html-pipeline (>= 1.11.0),
  ruby-task-list (>= 1.0.2~),
  ruby-github-markup (>= 1.3.1~),
- ruby-redcarpet (>= 3.3.3~),
+ ruby-redcarpet (>= 3.3.4~),
  ruby-redcloth (>= 4.2.9~),
  ruby-org (>= 0.9.12~),
  ruby-creole (>= 0.5.0~),
  ruby-wikicloth (>= 0.8.1~),
  asciidoctor (>= 1.5.2~),
  ruby-rouge (>= 1.10.1~),
- ruby-nokogiri (>= 1.6.7.1~),
+ ruby-nokogiri (>= 1.6.7.2~),
 # Diffs
  ruby-diffy (>= 3.0.3~),
 # Application server
- unicorn (>= 4.8~),
+ unicorn (>= 4.9.0~),
  ruby-unicorn-worker-killer (>= 0.4.2~),
 # State machine
  ruby-state-machines-activerecord (>= 0.3.0~),
@@ -167,7 +171,7 @@
  ruby-addressable (>= 2.3.8~),
  ruby-bootstrap-sass (>= 3.3.0~),
  ruby-font-awesome-rails (>= 4.2~),
- ruby-gitlab-emoji (>= 0.2.0~),
+ ruby-gitlab-emoji (>= 0.3~),
  ruby-gon (>= 6.0.1~),
  ruby-jquery-atwho-rails (>= 1.3.2~),
  ruby-jquery-rails (>= 4.0.0~),
@@ -178,7 +182,7 @@
  ruby-request-store (>= 1.1~),
  ruby-select2-rails (>= 3.5.9~),
  ruby-virtus (>= 1.0.1~),
- ruby-net-ssh (>= 2.9.2~),
+ ruby-net-ssh (>= 3.0~),
 # Metrics
  ruby-allocations (>= 1.0~),
  ruby-method-source (>= 0.8~),
@@ -203,7 +207,7 @@
  libjs-clipboard,
  libjs-chartjs,
  libjs-graphael,
- libjs-fuzzaldrin-plus
+Recommends: letsencrypt
 Description: git powered software platform to collaborate on code
  gitlab provides web based interface to host source code and track issues.
  It allows anyone for fork a repository and send merge requests. Code review
