=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	dh_systemd_start gitlab.target
 	# Make sure we are installing all required files in debian/install
 	sh debian/upstream-file-count-check.sh
+	rm -rf debian/gitlab/usr/share/gitlab/tmp/*
 
 override_dh_installinit:
 	dh_installinit --no-start
