## gitlab 8.8.2+dfsg

=== debian/changelog ===
gitlab (8.8.2+dfsg-4) unstable; urgency=high

  * Allow minor updates for ruby-state-machines-activerecord (Closes: #827013)

 -- Pirate Praveen <praveen@debian.org>  Sun, 12 Jun 2016 12:51:19 +0530

gitlab (8.8.2+dfsg-3) unstable; urgency=medium

  * Update minimum version of rails to 4.2.6
  * Update minimum version of ruby-request-store to 1.3
  * Add postgresql-contrib as dependency for pg_trgm extension
    (Closes: #826302)
  * Add ruby-coffee-script-source (>= 1.10.0~) as dependency

 -- Pirate Praveen <praveen@debian.org>  Sun, 05 Jun 2016 18:20:51 +0530

gitlab (8.8.2+dfsg-2) unstable; urgency=medium

  * Move gitlab-shell's config.yml to /etc
  * Update minimum version of gitlab-shell to 3.0.0

 -- Pirate Praveen <praveen@debian.org>  Sat, 04 Jun 2016 21:47:12 +0530

gitlab (8.8.2+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #823290)
  * Refresh patches
  * Bump standards version to 3.9.8 (no changes)
  * Enable the pg_trgm extension for postgresql
  * Check if nginx site configuration directory is present before copying
    (Closes: #821085)
  * Symlink /run/gitlab/cache to /var/lib/gitlab/cache (or /run gets filled up)
  * Remove debconf db on purge

 -- Pirate Praveen <praveen@debian.org>  Thu, 02 Jun 2016 22:27:15 +0530
