=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Cédric Boutillier <boutil@debian.org>,
  Pirate Praveen <praveen@debian.org>
 Build-Depends: debhelper (>= 9~), gem2deb, dh-systemd, bc
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-ruby-extras/gitlab.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ruby-extras/gitlab.git
 Homepage: https://about.gitlab.com/
@@ -16,22 +16,22 @@
 Architecture: all
 XB-Ruby-Versions: ${ruby:Versions}
 Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter,
- git (>= 2.7.3~),
+ git (>= 1:2.7.3~),
  rake,
  bundler,
  postgresql-client,
  adduser (>= 3.34~),
  bc,
- postgresql,
+ postgresql-contrib,
  redis-server (>= 2:2.8~),
  nodejs (>= 4~),
  nginx | httpd,
  postfix | exim4 | mail-transport-agent,
  openssh-client,
  ucf,
- gitlab-shell (>= 2.6.10~),
+ gitlab-shell (>= 3.0.0~),
  gitlab-workhorse (>= 0.6.2~),
- ruby-rails (>= 2:4.2.5.2~),
+ ruby-rails (>= 2:4.2.6~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
  ruby-responders (>= 2.0~),
@@ -42,8 +42,9 @@
 # Authentication libraries
  ruby-devise (>= 3.5.4~),
  ruby-devise-async (>= 0.9~),
- ruby-doorkeeper (>= 2.1~),
+ ruby-doorkeeper (>= 3.1~),
  ruby-omniauth (>= 1.3.1~),
+ ruby-omniauth-auth0 (>= 1.4.1~),
  ruby-omniauth-azure-oauth2 (>= 0.0.6~),
  ruby-omniauth-bitbucket (>= 0.0.2~),
  ruby-omniauth-cas3 (>= 1.1.2~),
@@ -67,12 +68,12 @@
 # Browser detection
  ruby-browser (>= 1.0.0~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 8.2~),
+ ruby-gitlab-git (>= 10.0~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
 # Git Wiki
- ruby-gollum-lib (>= 4.1.0~),
+ ruby-gollum-lib (>= 4.2~),
 # Language detection
  ruby-github-linguist (>= 4.7.0~),
 # API
@@ -112,7 +113,7 @@
  unicorn (>= 4.9.0~),
  ruby-unicorn-worker-killer (>= 0.4.2~),
 # State machine
- ruby-state-machines-activerecord (>= 0.3.0~),
+ ruby-state-machines-activerecord (>= 0.4.0~),
 # Run events after state machine commits
  ruby-after-commit-queue,
 # Issue tags
@@ -149,22 +150,27 @@
 # d3
  ruby-d3-rails (>= 3.1~),
 #cal-heatmap
- ruby-cal-heatmap-rails (>= 3.5.1~),
+ ruby-cal-heatmap-rails (>= 3.6.0~),
 # underscore-rails
  ruby-underscore-rails (>= 1.4~),
 # Sanitize user input
  ruby-sanitize (>= 2.0~),
  ruby-babosa (>= 1.0.2~),
+# Sanitizes SVG input
+ ruby-loofah (>= 2.0.3~),
+# Working with license
+ ruby-licensee (>= 8.0.0~),
 # Protect against bruteforcing
  ruby-rack-attack (>= 4.3.1~),
 # Ace editor
- ruby-ace-rails-ap (>= 3.0.3~),
+ ruby-ace-rails-ap (>= 4.0.2~),
 # Keyboard shortcuts
  ruby-mousetrap-rails (>= 1.4.6~),
 # Detect and convert string character encoding
  ruby-charlock-holmes (>= 0.7.3~),
  ruby-sass-rails (>= 5.0.0~),
  ruby-coffee-rails (>= 4.1.0~),
+ ruby-coffee-script-source (>= 1.10.0~),
  ruby-uglifier (>= 2.7.2~),
  ruby-turbolinks (>= 2.5.0~),
  ruby-jquery-turbolinks (>= 2.1.0~),
@@ -179,18 +185,20 @@
  ruby-jquery-ui-rails (>= 5.0.0~),
  ruby-nprogress-rails (>= 0.1.6.7~),
  ruby-raphael-rails (>= 2.1.2~),
- ruby-request-store (>= 1.1~),
+ ruby-request-store (>= 1.3~),
  ruby-select2-rails (>= 3.5.9~),
  ruby-virtus (>= 1.0.1~),
  ruby-net-ssh (>= 3.0~),
+ ruby-base32 (>= 0.3.0~),
 # Metrics
  ruby-allocations (>= 1.0~),
  ruby-method-source (>= 0.8~),
  ruby-influxdb (>= 0.2~),
  ruby-connection-pool (>= 2.0~),
  ruby-sentry-raven,
- ruby-octokit (>= 3.7~),
- ruby-mail-room (>= 0.6.1),
+ ruby-premailer-rails,
+ ruby-octokit (>= 4.3.0~),
+ ruby-mail-room (>= 0.7~),
  ruby-email-reply-parser (>= 0.5.8~),
 ## CI
  ruby-activerecord-deprecated-finders (>= 1.0.3-2~),
@@ -200,6 +208,7 @@
  ruby-oauth2 (>= 1.0.0~),
 # Soft deletion
  ruby-paranoia (>= 2.0~),
+ ruby-health-check (>= 1.5.1~),
 # Vendored js files
  libjs-jquery-cookie,
  libjs-jquery-history,
