## gitlab 8.9.0+dfsg

=== debian/changelog ===
gitlab (8.9.0+dfsg-9) unstable; urgency=medium

  * Create gitlab user as system user (Closes: #834037)

  [ Dmitry Smirnov ]
  * New patch to fix error 500 on runners page (Closes: #819903)
    Thanks, Libor Klepáč.
 
 -- Pirate Praveen <praveen@debian.org>  Mon, 15 Aug 2016 19:51:05 +0530

gitlab (8.9.0+dfsg-8) unstable; urgency=medium

  * Update ruby-unicorn-worker-killer dependency
  * Don't fail when .ssh exist

 -- Pirate Praveen <praveen@debian.org>  Tue, 26 Jul 2016 15:03:10 +0530

gitlab (8.9.0+dfsg-7) unstable; urgency=medium

  * Tighten dependencies
  * Allow unicorn 5.0 

 -- Pirate Praveen <praveen@debian.org>  Thu, 21 Jul 2016 13:51:37 +0530

gitlab (8.9.0+dfsg-6) unstable; urgency=medium

  * Create .ssh/authorized_keys in postinst 

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Jul 2016 23:13:59 +0530

gitlab (8.9.0+dfsg-5) unstable; urgency=medium

  * Tighten dependencies
  * Don't run gitlab:shell:install in postinst (Closes: #831877)
    (installed config.yml works)
  * Add a note about CAcert and browser trust
  
  [ Dmitry Smirnov ]
  * Do not leave dangling symlinks behind after purge
  * Remove generated assets on purge
  * rules: do not install LICENSE files
  * rules: properly use dh-systemd (Closes: #820991)
  * Rewrite terrible upstream .service files:
     - added meta "gitlab.service" that work alike corresponding init.d script
     - new .service files with support for "reload" and propagation of "reload" from "gitlab.service"
     - non-forking PIDFILE-less implementation
    This change fixes services' start-up and postinst error on first install.
  * templates: Replace StartSSL with CACert

 -- Pirate Praveen <praveen@debian.org>  Wed, 20 Jul 2016 20:28:21 +0530

gitlab (8.9.0+dfsg-4) unstable; urgency=medium

  * Move config files to /usr/share/doc as examples and
    copy them to /var/lib for modification (Closes: #821086)
  * Fix gitlab-shell's config.yml handling (Closes: #827846)

 -- Pirate Praveen <praveen@debian.org>  Thu, 14 Jul 2016 19:53:16 +0530

gitlab (8.9.0+dfsg-3) unstable; urgency=medium

  * Relax grape and rouge in Gemfile 

 -- Pirate Praveen <praveen@debian.org>  Sun, 10 Jul 2016 20:23:41 +0530

gitlab (8.9.0+dfsg-2) unstable; urgency=medium

  * Reupload to unstable
  * Relax omniauth-google-oauth2 in Gemfile

 -- Pirate Praveen <praveen@debian.org>  Sat, 09 Jul 2016 20:14:24 +0530

gitlab (8.9.0+dfsg-1) experimental; urgency=medium

  * New upstream release
  * Refresh patches and update dependencies 

 -- Pirate Praveen <praveen@debian.org>  Thu, 23 Jun 2016 23:54:28 +0530

gitlab (8.9.0+dfsg~rc4-1) experimental; urgency=medium

  * New upstream release candidate
  * Refresh patches
  * Use jquery in place of jquery2 (debian has only jquery and it has same API)
  * Remove /etc/gitlab/initializers/devise_async.rb (removed upstream)
  * Symlink /usr/share/gitlab/.ssh to var/lib/gitlab/.ssh

 -- Pirate Praveen <praveen@debian.org>  Wed, 22 Jun 2016 13:57:27 +0530

gitlab (8.8.2+dfsg-5) unstable; urgency=medium

  * Relax dependencies for all stable libraries (>= 1.0) (Closes: #827374) 

 -- Pirate Praveen <praveen@debian.org>  Thu, 16 Jun 2016 12:31:40 +0530
