=== debian/control ===
--- 
+++ 
@@ -29,8 +29,8 @@
  postfix | exim4 | mail-transport-agent,
  openssh-client,
  ucf,
- gitlab-shell (>= 3.0.0~),
- gitlab-workhorse (>= 0.6.2~),
+ gitlab-shell (>= 3.0.0-4~),
+ gitlab-workhorse (>= 0.7.2~),
  ruby-rails (>= 2:4.2.6~),
  ruby-rails (<< 2:5),
  ruby-rails-deprecated-sanitizer (>= 1.0.3~),
@@ -40,7 +40,7 @@
 #ruby-mysql2 | ruby-pg,
  ruby-pg (>= 0.18.4~),
 # Authentication libraries
- ruby-devise (>= 3.5.4~),
+ ruby-devise (>= 4.0~),
  ruby-devise-async (>= 0.9~),
  ruby-doorkeeper (>= 3.1~),
  ruby-omniauth (>= 1.3.1~),
@@ -51,7 +51,7 @@
  ruby-omniauth-facebook (>= 3.0.0~),
  ruby-omniauth-github (>= 1.1.1~),
  ruby-omniauth-gitlab (>= 1.0.0~),
- ruby-omniauth-google-oauth2 (>= 0.2.0~),
+ ruby-omniauth-google-oauth2 (>= 0.4.1~),
  ruby-omniauth-kerberos (>= 0.3.0-3~),
  ruby-omniauth-saml (>= 1.5.0~),
  ruby-omniauth-shibboleth (>= 1.2.0~),
@@ -59,59 +59,67 @@
  ruby-omniauth-crowd (>= 2.2.0~),
  ruby-rack-oauth2 (>= 1.2.1~),
 # Spam and anti-bot protection
- ruby-recaptcha,
+ ruby-recaptcha (>= 3.0~),
  ruby-akismet,
 # Two-factor authentication
- ruby-devise-two-factor (>= 2.0.0~),
+ ruby-devise-two-factor (>= 3.0~),
  ruby-rqrcode-rails3 (>= 0.1.7~),
- ruby-attr-encrypted (>= 1.3.4~),
+ ruby-attr-encrypted (>= 3.0~),
+ ruby-u2f,
 # Browser detection
- ruby-browser (>= 1.0.0~),
+ ruby-browser (>= 2.2~),
 # Extracting information from a git repository
- ruby-gitlab-git (>= 10.0~),
+ ruby-gitlab-git (>= 10.2~),
 # LDAP Auth
 # Debian package includes gitlab patches
  ruby-omniauth-ldap (>= 1.0.4~),
 # Git Wiki
- ruby-gollum-lib (>= 4.2~),
+ ruby-gollum-lib (>= 4.2.1~),
 # Language detection
  ruby-github-linguist (>= 4.7.0~),
 # API
- ruby-grape (>= 0.13.0~),
+ ruby-grape (>= 0.16.2-2~),
  ruby-grape-entity (>= 0.5~),
  ruby-rack-cors (>= 0.4.0~),
 # Pagination
- ruby-kaminari (>= 0.16.3),
+ ruby-kaminari (>= 0.17~),
 # HAML
  ruby-haml-rails (>= 0.9.0~),
 # Files attachments
  ruby-carrierwave (>= 0.9~),
 # Drag and Drop UI
  ruby-dropzonejs-rails (>= 0.7.1~),
+# for backups
+ ruby-fog-aws (>= 0.9~),
+ ruby-fog-azure,
+ ruby-fog-core (>= 1.40~),
+ ruby-fog-local (>= 0.3~),
+ ruby-fog-google (>= 0.3~),
+ ruby-fog-openstack (>= 0.1~),
 # for aws storage
- ruby-fog (>= 1.25~),
- ruby-unf (>= 0.1.4),
+ ruby-unf (>= 0.1.4-2~),
 # Authorization
- ruby-six (>= 0.2.0~),
+ ruby-six (>= 0.2.0-3~),
 # Seed data
  ruby-seed-fu (>= 2.3.5~),
 # Markdown and HTML processing
+ ruby-htmlentities (>= 4.3.3~),
  ruby-html-pipeline (>= 1.11.0),
  ruby-task-list (>= 1.0.2~),
  ruby-github-markup (>= 1.3.1~),
  ruby-redcarpet (>= 3.3.4~),
- ruby-redcloth (>= 4.2.9~),
- ruby-org (>= 0.9.12~),
+ ruby-redcloth (>= 4.2.9-5~),
+ ruby-org (>= 0.9.12-2~),
  ruby-creole (>= 0.5.0~),
  ruby-wikicloth (>= 0.8.1~),
  asciidoctor (>= 1.5.2~),
- ruby-rouge (>= 1.10.1~),
+ ruby-rouge (>= 1.11~),
  ruby-nokogiri (>= 1.6.7.2~),
 # Diffs
  ruby-diffy (>= 3.0.3~),
 # Application server
- unicorn (>= 4.9.0~),
- ruby-unicorn-worker-killer (>= 0.4.2~),
+ unicorn (>= 5.0.1~),
+   ruby-unicorn-worker-killer (>= 0.4.4~),
 # State machine
  ruby-state-machines-activerecord (>= 0.4.0~),
 # Run events after state machine commits
@@ -126,7 +134,7 @@
 # HTTP requests
  ruby-httparty (>= 0.13.3~),
 # Colored output to console
- ruby-colorize (>= 0.7.0~),
+ ruby-rainbow (>= 2.1~),
 # GitLab settings
  ruby-settingslogic (>= 2.0.9~),
 # Misc
@@ -134,11 +142,11 @@
 # Cache
  ruby-redis-rails (>= 4.0.0~),
 # Campfire integration
- ruby-tinder (>= 1.10.0~),
+ ruby-tinder (>= 1.10.1-2~),
 # HipChat integration
  ruby-hipchat (>= 1.5.0~),
 # Flowdock integration
- ruby-gitlab-flowdock-git-hook (>= 1.0.1~),
+ ruby-gitlab-flowdock-git-hook (>= 1.0.1-2~),
 # Gemnasium integration
  ruby-gemnasium-gitlab-service (>= 0.2~),
 # Slack integration
@@ -146,7 +154,7 @@
 # Asana integration
  ruby-asana (>= 0.4.0~),
 # FogBugz integration
- ruby-fogbugz (>= 0.2.1~),
+ ruby-fogbugz (>= 0.2.1-3~),
 # d3
  ruby-d3-rails (>= 3.1~),
 #cal-heatmap
@@ -168,6 +176,8 @@
  ruby-mousetrap-rails (>= 1.4.6~),
 # Detect and convert string character encoding
  ruby-charlock-holmes (>= 0.7.3~),
+# Parse duration
+ ruby-chronic-duration,
  ruby-sass-rails (>= 5.0.0~),
  ruby-coffee-rails (>= 4.1.0~),
  ruby-coffee-script-source (>= 1.10.0~),
@@ -176,7 +186,7 @@
  ruby-jquery-turbolinks (>= 2.1.0~),
  ruby-addressable (>= 2.3.8~),
  ruby-bootstrap-sass (>= 3.3.0~),
- ruby-font-awesome-rails (>= 4.2~),
+ ruby-font-awesome-rails (>= 4.6.1~),
  ruby-gitlab-emoji (>= 0.3~),
  ruby-gon (>= 6.0.1~),
  ruby-jquery-atwho-rails (>= 1.3.2~),
@@ -187,23 +197,25 @@
  ruby-raphael-rails (>= 2.1.2~),
  ruby-request-store (>= 1.3~),
  ruby-select2-rails (>= 3.5.9~),
- ruby-virtus (>= 1.0.1~),
- ruby-net-ssh (>= 3.0~),
+ ruby-virtus (>= 1.0.5-3~),
+ ruby-net-ssh (>= 1:3.0.1~),
  ruby-base32 (>= 0.3.0~),
 # Metrics
  ruby-allocations (>= 1.0~),
- ruby-method-source (>= 0.8~),
+ ruby-method-source (>= 0.8.2-2~),
  ruby-influxdb (>= 0.2~),
  ruby-connection-pool (>= 2.0~),
  ruby-sentry-raven,
  ruby-premailer-rails,
+#   ruby-actionmailer,
+        ruby-mail (>= 2.5.4~),
  ruby-octokit (>= 4.3.0~),
- ruby-mail-room (>= 0.7~),
+ ruby-mail-room (>= 0.8~),
  ruby-email-reply-parser (>= 0.5.8~),
 ## CI
  ruby-activerecord-deprecated-finders (>= 1.0.3-2~),
- ruby-activerecord-session-store (>= 0.1.0~),
- ruby-nested-form (>= 0.3.2~),
+ ruby-activerecord-session-store (>= 1.0~),
+ ruby-nested-form (>= 0.3.2-2~),
 # OAuth
  ruby-oauth2 (>= 1.0.0~),
 # Soft deletion
